Mailserver / Postfix Problems

Discussion in 'Server Operation' started by oaky, Nov 11, 2005.

  1. mority

    mority New Member

    I replaced the password for one without special characters and now sending mail works too. Thanks again.
     
  2. coyote

    coyote New Member

    I habe the same problem like the users before, but I can't solve it with your suggestions. When I activate Amavis in main.cf I get this error:

    Without Amavis Postfix works fine.

    Can anyone help?
     
  3. falko

    falko Super Moderator

    What's in /etc/postfix/main.cf and /etc/postfix/master.cf?
    What's the output of
    Code:
    netstat -tap
    and
    Code:
    ifconfig
    ?
     
  4. coyote

    coyote New Member

    main.cf

    master.cf
    netstat -tap

    ifconfig

    Are these logs helpful?
     
    Last edited: Jul 18, 2007
  5. falko

    falko Super Moderator

    Does this IP address match the one from the ifconfig output?

    I think the problem must be somewhere in your amavisd configuration.
     
  6. coyote

    coyote New Member

    Yes, it match with the IP from ifconfig-output
     
  7. falko

    falko Super Moderator

    Can you see this IP address somewhere in your amavisd configuration?
     
  8. coyote

    coyote New Member

    No, I can't find my IP-Adress in the amavisd.conf
     
  9. falko

    falko Super Moderator

    Is there maybe a subnet in the amavisd configuration that contains your IP address?
     
  10. phantomk

    phantomk New Member

    Just to let you know, I figured out why the error was occurring, well at least for me :)

    Make sure you do not have the following in main.cf for postfix:
    Code:
    smtp_bind_address = Your.I.P.Address
    Not sure why it causes the problem, all I know is that once I commented the above line out, it worked like a charm :)
     
  11. irDante

    irDante New Member

    hmm..getting the same problem here.

    I did an apt-get install webmin, which upgraded a few files....at the end of the webmin install it told me that there was an error with amavis...

    apt-get install amavis
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Note, selecting amavisd-new instead of amavis
    amavisd-new is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 99 not upgraded.
    1 not fully installed or removed.
    Need to get 0B of archives.
    After unpacking 0B of additional disk space will be used.
    Setting up amavisd-new (2.4.2-6.1) ...
    Creating/updating amavis user account...
    Starting amavisd: Found incompatible config file flag!
    Due to safety concerns, amavisd-new will not be started.
    Refer to /usr/share/doc/amavisd-new/README.Debian for instructions.
    invoke-rc.d: initscript amavis, action "start" failed.
    dpkg: error processing amavisd-new (--configure):
    subprocess post-installation script returned error exit status 1
    Errors were encountered while processing:
    amavisd-new
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    mail log.
    Aug 7 13:48:20 localhost postfix/smtp[31910]: connect to 127.0.0.1[127.0.0.1]: Connection refused (port 10024)
    Aug 7 13:48:20 localhost postfix/smtp[31911]: connect to 127.0.0.1[127.0.0.1]: Connection refused (port 10024)
    Aug 7 13:48:20 localhost postfix/smtp[31910]: 77D954C01E: to=<adamh@kzn.da.org.za>, relay=none, delay=2605, status=deferred (connect to 127.0.0.1[127.0.0.1]: Connection refused)
    Aug 7 13:48:20 localhost postfix/smtp[31910]: connect to 127.0.0.1[127.0.0.1]: Connection refused (port 10024)
    Aug 7 13:48:20 localhost postfix/smtp[31911]: 8D14E4C01B: to=<sec@kzn.da.org.za>, relay=none, delay=3213, status=deferred (connect to 127.0.0.1[127.0.0.1]: Connection refused)
    Aug 7 13:48:20 localhost postfix/smtp[31910]: 832264C01C: to=<suerog@mweb.co.za>, relay=none, delay=3179, status=deferred (connect to 127.0.0.1[127.0.0.1]: Connection refused)

    the strange thing here is...i looked in the /etc/amavis for the amavis.conf file...there was nothing. i had a backup which i copied back...but still not working.

    /etc/init.d/amavis restart
    Stopping amavisd: (not running).
    Starting amavisd: Found incompatible config file flag!
    Due to safety concerns, amavisd-new will not be started.
    Refer to /usr/share/doc/amavisd-new/README.Debian for instructions.

    i have gone though all the above advice....still nothing?

    :confused:
     
  12. irDante

    irDante New Member

    hi. just to let you know, i fixed it.

    If you have tried to upgrade amavis to newer version which is now amavis-new it breaks amavis.

    at the time of apt-get install amavis, the install takes /etc/amavis/amavis.conf or /etc/amavis.conf and renames it to amavis.conf.disabled

    the install then fails asking you to read more about the changes.

    simply rename the amavis.conf.disabled to amavis.conf.WHATEVER and remove the amavis.conf.disabled file.

    then run the apt-get install amavis again, and it will complete the install fine.

    start amavis if needed,

    hope this helps you

    :)
     

Share This Page